# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLMapElement Class Reference

Client-side image map. More...

`#include <html_image.h>`

Inheritance diagram for DOM::HTMLMapElement:

[legend]
Collaboration diagram for DOM::HTMLMapElement:

[legend]
List of all members.

## Public Member Functions

| HTMLMapElement (const HTMLMapElement &other)
| HTMLMapElement (const Node &other)
HTMLMapElement & | operator= (const HTMLMapElement &other)
HTMLMapElement & | operator= (const Node &other)
HTMLCollection | areas () const
DOMString | name () const
void | setName (const DOMString &)

## Protected Member Functions

| HTMLMapElement (HTMLMapElementImpl *impl)

## Detailed Description

Client-side image map.

See the MAP element definition in HTML 4.0.

Definition at line 393 of file html_image.h.

## Member Function Documentation

HTMLCollection HTMLMapElement::areas | ( |  | ) | const

| The list of areas defined for the image map. Definition at line 397 of file html_image.cpp.

DOMString HTMLMapElement::name | ( |  | ) | const

| Names the map (for use with `usemap` ). See the name attribute definition in HTML 4.0. Definition at line 403 of file html_image.cpp.

void HTMLMapElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 409 of file html_image.cpp.

The documentation for this class was generated from the following files:

- html_image.h
- html_image.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003